<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Ejercicio 4</title>

<style type="text/css">
body {
    font-family: arial, helvetica;
}
#info {
    width:160px; 
    border:thin solid silver;
     padding:.5em; position:fixed;
    }
#info h1 {
    margin: 0;
    }
    
</style>

<script type="text/javascript">
function informacion(elEvento) {
  var evento = elEvento || window.event;
  switch(evento.type) {
    

    case 'keypress':
      var caracter = evento.charCode || evento.keyCode;
      var letra = String.fromCharCode(caracter);
      muestraInformacion(['Teclado', 'Caracter ['+letra+']']);
      break;

    
  }
}

function muestraInformacion(mensaje) {
  document.getElementById("info").innerHTML = '<h1>'+mensaje[0]+'</h1>';
  for(var i=1; i<mensaje.length; i++) {
    document.getElementById("info").innerHTML += '<p>'+mensaje[i]+'</p>';
  }
}


document.onkeypress = informacion;

document.onclick = informacion;

</script>
</head>

<body>

<div id="info"></div>

</body>
</html>